Subject: Re: SLAAC/DHCPv6 sharing prefix(es) legitimate?

From: 神明達哉 <[email-masked]>
Date: Fri, 6 Nov 2015 10:08:43 +0900

On Mon, Aug 10, 2015 at 6:45 PM, Lorenzo Colitti <[email-masked]> wrote:
> On Mon, Aug 10, 2015 at 6:34 PM, Pascal Thubert (pthubert)
> <[email-masked]> wrote:
>>
>> There are deployments in IOT that use DHCP only or reserve some space for
>> DHCP so that DHCP addresses do not collision with anything else by network
>> design. Such deployments can reach thousands of nodes over low power lossy
>> mesh networks.
>>
>> In a case like this,  DAD is omitted voluntarily. It would be unwelcome
>> from the IETF to change the rule in 3315 brutally without consideration for
>> the impact in such cases.
>
> As Tore points out, such networks are already violating a MUST in RFC4862
> section 5.4 anyway. So MUST in RFC3315bis is more correct than SHOULD.  It
> should probably say "MUST unless the link layer guarantees uniqueness".

The rfc3315bis agenda at the dhc wg meeting somehow reminded me of
this topic, and I've just filed a ticket for the 3316bis issue tracker.

http://wiki.tools.ietf.org/group/dhcpv6bis/ticket/153

--
JINMEI, Tatuya